# petsc4py.PETSc.Mat.Stencil

class petsc4py.PETSc.Mat.Stencil

  Bases: `object`

  Associate structured grid coordinates with matrix indices.

  See also

  `MatStencil`

  Attributes Summary

  `c` | Field component.
  `field` | Field component.
  `i` | First logical grid coordinate.
  `index` | Logical grid coordinates `(i, j, k)`.
  `j` | Second logical grid coordinate.
  `k` | Third logical grid coordinate.

  Attributes Documentation

  c

    Field component.

    Source code at petsc4py/PETSc/Mat.pyx:317

  field

    Field component.

    Source code at petsc4py/PETSc/Mat.pyx:336

  i

    First logical grid coordinate.

    Source code at petsc4py/PETSc/Mat.pyx:293

  index

    Logical grid coordinates `(i, j, k)`.

    Source code at petsc4py/PETSc/Mat.pyx:325

  j

    Second logical grid coordinate.

    Source code at petsc4py/PETSc/Mat.pyx:301

  k

    Third logical grid coordinate.

    Source code at petsc4py/PETSc/Mat.pyx:309